; TRANS A1 TO A0
; this sub routine transfers a string from (A1) to (A0), provided
; neither A1 nor A0 are 0
; entry                                 exit
; A0 place to copy string to            A0 preserved
; A1 place to copy string from          A1 preserved
; all registers are preserved
; no condition codes set


          section trans

          XDEF      transa1toa0

transa1toa0  MOVEM.L   D0/A0-A1,-(A7)
          MOVE.L    A0,D0
          BEQ.S     exit
          MOVE.L    A1,D0
          BEQ.S     ts1
          MOVE.W    (A1)+,D0
ts1       MOVE.W    D0,(A0)+
          BRA.S     tsdo_lop
tsloop    MOVE.B    (A1)+,(A0)+
tsdo_lop  DBF       D0,tsloop
exit      MOVEM.L   (A7)+,D0/A0-A1
          RTS

          end
