; this checks wehthther we can change the sprites for system sprites
; and, if so, does it - it presupposes that the wman version lies at wman(a4)
; v. 1.00   2003 Jun 05 07:13:29
; copyright (c) w. lenerz 2003 - 2018

	section wdef

	include dev8_keys_sysspr
	include dev1_asm_wined_includes

	xdef	do_sysspr

; sprite pointers
	xref	sp_mve
	xref	sp_sze
	xref	sp_wke
	xref	sp_slp
	xref	sp_f6

ds_reg	reg d0/d1/a1/a2

do_sysspr
	movem.l ds_reg,-(a7)
	move.l	wman(a4),d1
	sub.l	#'2.00',d1
	blt.s	ds_out
	lea	sp_mve,a1
	moveq	#sp.wmove,d1
	bsr.s	repl_spr
	lea	sp_sze,a1
	moveq	#sp.wsize,d1
	bsr.s	repl_spr
	lea	sp_wke,a1
	moveq	#sp.wake,d1
	bsr.s	repl_spr
	lea	sp_slp,a1
	moveq	#sp.sleep,d1
	bsr.s	repl_spr
	lea	sp_f6,a1
	moveq	#sp.f6,d1
	bsr.s	repl_spr
ds_out
	movem.l (sp)+,ds_reg
	rts

;  d1 cs  nbr of system sprite
;  a1 cp  place for pointer to object in item list in wdw defn
;  a2 s
;
repl_spr
	lea	table,a2
	lsl.w	#1,d1			; entires in table are word sized
	add.w	d1,a2			; opinter to table entry now
	sub.l	a1,a2			; make rel to a1
	move.w	a2,(a1) 		; and put it in window defn
	rts
table
	dc.w sp.arrow	     ;	   0
	dc.w sp.lock	     ;	   1
	dc.w sp.null	     ;	   2
	dc.w sp.mode	     ;	   3
	dc.w sp.key	     ;	   4
	dc.w sp.busy	     ;	   5
	dc.w sp.wmove	     ;	   6		   ; window sprite for move window
	dc.w sp.wsize	     ;	   7		   ; window sprite for resize window
	dc.w sp.wmovep	     ;	   8		   ; mouse pointer for move window
	dc.w sp.wsizep	     ;	   9		   ; mouse pointer for resize window
	dc.w sp.sleep	     ;	   10
	dc.w sp.wake	     ;	   11
	dc.w sp.f1	     ;	   12
	dc.w sp.f2	     ;		   dc.w sp.f1+1
	dc.w sp.f3	     ;		   dc.w sp.f1+2
	dc.w sp.f4	     ;		   dc.w sp.f1+3
	dc.w sp.f5	     ;		   dc.w sp.f1+4
	dc.w sp.f6	     ;		   dc.w sp.f1+5
	dc.w sp.f7	     ;		   dc.w sp.f1+6
	dc.w sp.f8	     ;		   dc.w sp.f1+7
	dc.w sp.f9	     ;		   dc.w sp.f1+8
	dc.w sp.f10	     ;		   dc.w sp.f1+9
	dc.w sp.f11	     ;		   dc.w sp.f1+10
	dc.w sp.f12	     ;		   dc.w sp.f1+11
	dc.w sp.cf1	     ;		   dc.w sp.f1+12
	dc.w sp.cf2	     ;		   dc.w sp.cf1+1
	dc.w sp.cf3	     ;		   dc.w sp.cf1+2
	dc.w sp.cf4	     ;		   dc.w sp.cf1+3
	dc.w sp.cf5	     ;		   dc.w sp.cf1+4
	dc.w sp.cf6	     ;		   dc.w sp.cf1+5
	dc.w sp.cf7	     ;		   dc.w sp.cf1+6
	dc.w sp.cf8	     ;		   dc.w sp.cf1+7
	dc.w sp.cf9	     ;		   dc.w sp.cf1+8
	dc.w sp.cf10	     ;		   dc.w sp.cf1+9
	dc.w sp.cf11	     ;		   dc.w sp.cf1+10
	dc.w sp.cf12	     ;		   dc.w sp.cf1+11

	end
