; use & free things
; v1.01 use smsqe include files


	section  things_code

	xdef	do_vect
	xdef	use_thg
	xdef	free_thg
	xdef	get_thvect

	include dev8_keys_qdos_sms
	include dev8_keys_err
	include dev8_keys_sys
	include dev8_keys_thg

; use thing: uses thing to which A0 points on entry
; on exit:
; D1 - D3 , A1-A2: result returned from use code
; all other regs preserved, D0 and condition codes set on exit

use_thg moveq	#sms.uthg,d0		; use thing code
	bra.s	thg_com

; free thing: frees thing to which a0 points on entry
; on exit: d1, d3 smashed, a1-a2 smashed
; all other regs preserved, d0 and condition codes set on exit

free_thg
	moveq	#sms.fthg,d0		; free thing function code

thg_com moveq	#-1,d1
	moveq	#-1,d3

do_vect move.l	a4,-(sp)		; keep this reg
	move.l	d0,-(sp)		; stock d0 for call to function
	bsr.s	get_thvect		; get thing vector
	bne.s	thvecerr		; umpf
	move.l	(sp)+,d0		; this is the function we want to use
	jsr	(a4)			; so do it already
	bra.s	thvecok
thvecerr
	addq.l	#4,sp			; jump over function code
thvecok move.l	(sp)+,a4		; get my reg back
	tst.l	d0			;
	rts


; get_thvect   : get thing vector into a4
; all regs preserved, except a4 and d0.
; condition codes set on exit
thregs	reg	d1-d2/a0/a1
get_thvect
	movem.l thregs,-(sp)
	moveq	#sms.info,d0		; sms_info
	trap	#1			; get sysvars into A0
	move.l	sys_thgl(a0),d1 	; point to thing list
	beq.s	no_thing		; there is none, give up
	move.l	d1,a0			; pointer
getloop move.l	(a0),d1 		; now run along list until end thereof
	beq.s	found_th		; end found
	move.l	d1,a0			; no yet
	bra.s	getloop
found_th
	move.l	th_thing(a0),a0 	; point to thing thing
	cmp.l	#-1,4(a0)		; is it the real mccoy?
	bne.s	no_thing		; no!
	move.l	thh_entr(a0),a4 	; entry routine into thing
get_out movem.l (a7)+,thregs
	tst.l	d0
	rts
no_thing				; there is no such thing (list)
	moveq	#err.nimp,d0		; err_nimp
	bra.s	get_out

	end
