; english texts for wined
; v. 1.08		2003 Jun 04 09:35:31

;  W. Lenerz 2018

	section texts
	include dev1_asm_wined_includes
	xdef	errmess
	xdef	abort
	xdef	floppytit
	xdef	which_type
	xdef	wtprompt
	xdef	choice
	xdef	fitext
	xdef	which_file	; prompt edit which file?
	xdef	off_txt 	; ASCII text of the offset number
	xdef	about_txt
	xdef	k.about
	xdef	men_array	; array for F4 menu
	xdef	men_title	; title for same
	xdef	loadtit
	xdef	appendtit
	xdef	wins		; wins 'array'
	xdef	warn_tit
	xdef	driv
	xdef	k.drive
	xdef	bpm
	xdef	file_tit
	xdef	which_drv
	xdef	nbr_sects

	xdef	block
	xdef	sps
	xdef	filtpmpt
	xdef	filetit
	xdef	sectsrch		; prints 'searching sector:'
	xdef	searching
	xdef	what_file
	xdef	err_read
	xdef	err_wrt
	xdef	op_err
	xdef	hex
	xdef	err_hex
	xdef	what_str
	xdef	srch
	xdef	esc_abt
	xdef	string_nf
	xdef	tit_str
	xdef	titwinxs
	xdef	temp4

	xdef	nopartt
	xdef	partchoice
	xdef	f2_men
	xdef	f3_men
	xdef	f4_men
 

	xref.l	version
	xdef	getsectit	; title for get sector menu
	xdef	getsecpt

titlen	EQU	23
tit_str DC.W	titlen
	DC.B	'Hard disk sector editor '

floppytit DC.W	ftit-*-2
	DC.B	'Floppy disk sector editor'
ftit

titwinxs	EQU	titlen*6+4
temp3	EQU	xsize-titwinxs
temp4	EQU	temp3/2

which_drv DC.W	wd-*-2
	DC.B	'Which Drive ?'
wd

nbr_sects DC.W	   asects2-*-2
	DC.B	'F5 - Sector Number: $'
asects2

block	DC.W	blk2-*-2
	DC.B	'F5 - Block: $'
blk2

sps	DC.W	sps2-*-2
	DC.B	'F5:  Side 00  Track 00  Sector 01'
sps2

	xdef	qub
qub	DC.W	qub2-*-2
	DC.B	'F5:  Head 00  Trk. 000  Sector 01'
qub2

f2_men	DC.W	f2_men2-*-2
	DC.B	'F2 - Next'
f2_men2

f3_men	DC.W	f3_men2-*-2
	DC.B	'F3 - Last'
f3_men2

f4_men	DC.W	f4_men2-*-2
	DC.B	'F4 - Menu'
f4_men2

what_file DC.W	wf2-*-2
	DC.B	'Name of file to save to',$00
wf2
op_err	DC.W	oe2-*-2
	DC.B	' cannot be opened - '
oe2
hex	DC.W	hex2-*-2
	DC.B	'Enter hex bytes (optionally spaced with <space>) - ENTER to leave'
hex2
err_hex DC.W	errhex2-*-2
	DC.B	'Error in hex string! You must enter correct hex.'
errhex2

what_str	DC.W	wh2-*-2
	DC.B	'Please enter string to search for...'
wh2
srch	DC.W	srch2-*-2
	DC.B	'Search for ?'
srch2
searching DC.W	sa2-*-2
	DC.B	'Search in progress...'
sa2
esc_abt DC.W	esc2-*-2
	DC.B	'Press ESC to abort the search.'
esc2
string_nf DC.W	snf2-*-2
	DC.B	'This string cannot be found!'
snf2

err_read	DC.W	erd2-*-2
	DC.B	'Read error on '
erd2	ds.b	100

driv	DC.W	drive2-*-2
	DC.B	'Drive:'
drive2
k.drive EQU	'D'

err_wrt DC.W	erw2-*-2
	DC.B	'Write error on '
erw2
	dc.w	0,0,0,0,0

errmess DC.W	errmess2-*-2
	DC.B	'This software only works in the pointer environment'
errmess2
abort	DC.W	abort2-*-2
	DC.B	'WINED aborted due to the following error:',$a
abort2
	xdef	file_errtxt
	xdef	fer2
file_errtxt  dc.w	fer2-*-2
	DC.B	'File error in '
fer2
	ds.b	40

warn_tit	DC.W	WT2-*-2
	dc.b	'Your attention please!'
wt2

file_tit	DC.W	filt2-*-2
	DC.B	'ATTENTION: file error!'
filt2

bpm	DC.W	bmp2-*-2
	DC.B	'You must choose a valid disk...'
bmp2

sectsrch	DC.W	sects2-*-2
	DC.B	'Searching sector :'
sects2

getsectit DC.W	gst2-*-2
	DC.B	'Go to a new sector'
gst2

getsecpt	DC.W	gsp-*-2
	DC.B	'New sector number (in hex)'
gsp


winelmtnb equ	7		; number of elements
wunlen	equ	2		 ; must be even
wins	dc.l	winelmt-*	; rel pointer to
	dc.w	2		; nbr of dimensions
	dc.w	winelmtnb	; nbr of els for 1rst dim
	dc.w	wunlen+2		 ;
	dc.w	wunlen		    etc
	dc.w	1

winelmt dc.w	1,'1'
	dc.w	1,'2'
	dc.w	1,'3'
	dc.w	1,'4'
	dc.w	1,'5'
	dc.w	1,'6'
	dc.w	1,'7'
	dc.w	1,'8'

men_nbr equ	9		; number of elements, statring from 0
menlen	equ	34		; must be even
men_array dc.l	menelmt-*	; rel pointer to array data
	dc.w	2		; nbr of dimensions
	dc.w	men_nbr 	; nbr of els for 1rst dim
	dc.w	menlen+2		;
	dc.w	menlen		;
	dc.w	1

menelmt DC.W	 32
	DC.W	'Find a string (case independent)'
	DS.B	2

	DC.W	28
	DC.W	'Case dependent string search'
	DS.B	 6

	DC.W	10
	DC.W	'Hex search'
	DS.B	24

	DC.W	13
	DC.W	'Resume search'
	DS.B	20

	DC.W	30
	DC.W	'Write sector back to hard disk'
	DS.B	4

	DC.W	19
	DC.W	'Save sector to file'
	DS.B	14

	DC.W	21
	DC.W	'Append sector to file'
	DS.B	12

	DC.W	21
	DC.W	'Load sector from file'
	DS.B	12

	dc.w	16
	dc.w	'Goto a partition'
	ds.b	18

	DC.W	26
	DC.W	'QL partition (slow search)'
	DS.B	8

men_title DC.W	mentit2-*-2
	DC.B	'What do you want to do ?'
mentit2

filetit DC.W	filt-*-2
	DC.B	'Name of file?'
filt

filtpmpt	DC.W	fpt2-*-2
	DC.B	'Please give the name of the file'
fpt2

appendtit DC.W	apt2-*-2
	DC.B	'Append to which file ?'
apt2

loadtit DC.W	lt-*-2
	DC.B	'Load from which file?'
lt

partchoice  dc.w	pkc-*-2
	dc.b	'Partition?'
pkc

nopartt DC.W	np-*-2
	DC.B	'No partition table found!'
np

about_txt DC.W	about2-*-2
	dc.b	'About'
about2

k.about EQU	 'A'

off_txt DC.W	2
	DC.W	'$0',0
	DC.L	0,0,0

which_file DC.W WF-*-2
	DC.B	'Edit which file?'
wf
fitext	DC.W	fit-*-2
	DC.B	'File'
fit

which_type DC.W wht-*-2
	DC.B	'What do you want to edit?'
wht

choice	DC.W	9,'Hard Disk'
	DC.W	11,'Floppy Disk'
	DC.W	9,'Disk File',0

wtprompt	DC.W	wpt2-*-2
	DC.B	'Please choose (or ESC to quit this job)'
wpt2

	xdef	srchfl
srchfl	dc.w	sr2-*-2
	dc.b	'Searching S: 0 T: 00 Sect: 01'
sr2
	xdef	getblktit
	xdef	getblkpt
getblktit DC.W	gbt3-*-2
	dc.b	'Go to a new block'
gbt3

getblkpt	DC.W	gbp-*-2
	DC.B	'Block number (or offset if #) - in hex'
gbp

	xdef	long_cha
long_cha	DC.W	lc2-*-2
	DC.B	'12345678'
lc2

	xdef	small_cha
small_cha DC.W	sc2-*-2
	DC.B	'1234'
sc2

	xdef	vsmal_cha
vsmal_cha DC.W	vc2-*-2
	DC.B	'12'
vc2

	end
